Page MenuHomePhabricator

merge: check created file dirs for path conflicts only once (issue5716)
ClosedPublic

Authored by mbthomas on Oct 24 2017, 1:57 PM.

Details

Summary

In large repositories, updates involving the creation of many files check the
same directories repeatedly in the wctx manifest. Move these checks out to a
separate loop to avoid repeated checks hitting the manifest.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mbthomas created this revision.Oct 24 2017, 1:57 PM
mbthomas retitled this revision from merge: check created file dirs for path conflicts only once to merge: check created file dirs for path conflicts only once (issue5716).Oct 24 2017, 1:59 PM
mbthomas edited the summary of this revision. (Show Details)Oct 24 2017, 2:01 PM
mbthomas updated this revision to Diff 3474.Nov 14 2017, 11:37 AM
krbullock accepted this revision.Dec 1 2017, 12:57 PM
This revision is now accepted and ready to land.Dec 1 2017, 12:57 PM
This revision was automatically updated to reflect the committed changes.